h, w = map(int, input().split())
total_area = 0
remaining_h, remaining_w = h, w

while remaining_h > 0 and remaining_w > 0:
    if remaining_h >= remaining_w:
        # Если вы можете разместить вертикальный ковер
        total_area += remaining_w
        remaining_h -= 1
    else:
        # Если вы можете разместить горизонтальный ковер
        total_area += remaining_h
        remaining_w -= 1

print(total_area)
